---
title: Create RSVP for timeslot
slug: create-rsvp-for-timeslot
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendance_registrations",
  "name": "Create RSVP from timeslot",
  "method": "POST",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n    \"data\": {\n        \"id\": \"5585\",\n        \"type\": \"attendance-registration\",\n        \"attributes\": {\n            \"checked-in-at\": null\n        },\n        \"relationships\": {\n            \"timeslot\": {\n                \"data\": {\n                    \"id\": \"17516\",\n                    \"type\": \"timeslot\"\n                }\n            },\n            \"user\": {\n                \"data\": {\n                    \"id\": \"1071272\",\n                    \"type\": \"user\"\n                }\n            }\n        }\n    }\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "-oveBwgMcziTmEBch0MKn",
        "code": "curl --location -g --request POST 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/invites/' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'\\\n--data '{\n{\n   \"timeslot_id\": {timeslotId},\n   \"attendee_id\": {attendeeId}\n}\n}'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "-oveBwgMcziTmEBch0MKn"
  },
  "description": "Create a new RSVP for timeslot",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "create-rsvp-from-timeslot",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

**REQUEST BODY**

:::BlockQuote
\{
&#x20;\{
&#x20;  "timeslot\_id": &#x7B;timeslotId},
&#x20;  "attendee\_id": &#x7B;attendeeId}
&#x20;}
}
:::

**Required attributes:**

- `timeslot_id` (Number)
- `attendee_id` (Number)

**Notes:**

- The `timeslot_id` and `attendee_id` can alternatively be passed as path parameters in the URL (instead of in the body).
- In order for the request to succeed, the timeslot in question needs to have RSVP enabled via the admin panel.&#x20;

